# $Revision: 1.15 $, $Date: 2005/12/24 11:18:02 $
Summary:	GUI for the R-project
Summary(pl):	Interfejs dla R
Name:		rkward
Version:	0.3.4
Release:	1
License:	GPL
Group:		Applications/Math
Source0:	http://dl.sourceforge.net/rkward/%{name}-%{version}.tar.gz
# Source0-md5:	87b20698228bdb211b17fcb3385ec93a
URL:		http://rkward.sourceforge.net/
BuildRequires:	R-base >= 2.0.0
BuildRequires:	automake
BuildRequires:	kdelibs-devel
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	R-base >= 2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RKWard aims to provide an easily extensible, easy to use GUI for the
R-project, that will one day seamlessly integrate with KOffice. RKWard
tries to combine the power of the R-language with the (relative) ease
of use of commercial tools like SPSS.

%description -l pl
RKWard chce udostpnia atwo rozszerzalne, atwe w uyciu rodowisko
graficzne dla R, ktre ktrego dnia zostanie zintegrowane z KOffice.
RKWard stara si poczy moc jzyka R z (wzgldn) atwoci uycia
komercyjnych narzdzi typu SPSS.

%prep
%setup -q

%build
export kde_htmldir=%{_kdedocdir}
export kde_libs_htmldir=%{_kdedocdir}
cp -f /usr/share/automake/config.sub admin
CXXFLAGS="%{rpmcflags} -I%{_includedir}/R"
%configure \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_libdir}/R/library}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install rkward/rkward.desktop $RPM_BUILD_ROOT%{_desktopdir}
cd rkward/rbackend/rpackages
R CMD INSTALL %{name} --library=$RPM_BUILD_ROOT%{_libdir}/R/library
cd -

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --htmllist)

%postun
if [ -f %{_libdir}/R/bin/Rcmd ];then
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --htmllist)
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README TODO AUTHORS
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_datadir}/apps/%{name}
%{_iconsdir}/crystalsvg/*/*/*.png
%{_libdir}/R/library/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rkward.spec,v $
Revision 1.15  2005/12/24 11:18:02  undefine
- up to 0.3.4

Revision 1.14  2005/06/25 20:26:17  blekot
- only hicolor icons

Revision 1.13  2005/05/17 18:47:00  darekr
- unify

Revision 1.12  2005/04/28 00:44:26  undefine
- up to 0.3.2

Revision 1.11  2005/03/28 23:35:57  undefine
- up to 0.3.1

Revision 1.10  2004/11/17 09:41:29  qboosh
- fixed build

Revision 1.9  2004/11/16 22:52:58  qboosh
- use find_lang

Revision 1.8  2004/11/16 19:03:36  undefine
- up to 0.3.0

Revision 1.7  2004/09/23 15:45:26  undefine
- update to 0.2.9

Revision 1.6  2004/09/15 19:40:40  qboosh
- BR: automake, use find_lang for kdedoc resources

Revision 1.5  2004/09/14 20:56:11  undefine
- patch to desktop file

Revision 1.4  2004/09/14 20:16:42  undefine
- add R library by "the right way", works now.
- release 3

Revision 1.3  2004/09/14 19:39:30  undefine
- add rkward R library

Revision 1.2  2004/09/14 12:17:30  undefine
- r.xml conflicts with kdelibs, release 2

Revision 1.1  2004/09/14 10:12:41  undefine
- initital pld version
